# -*- coding: utf-8 -*-
"""
/***************************************************************************
MagneticBearingMeasurement
								A QGIS plugin
Measure magnetic bearing and distance between two points
Generated by Plugin Builder: http://g-sherman.github.io/Qgis-Plugin-Builder/
							-------------------
		begin                : 2022-01-01
		copyright            : (C) 2022 by Aaltronav s.r.o.
		email                : hello@aaltronav.eu
		git sha              : $Format:%H$
***************************************************************************/

/***************************************************************************
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
*                                                                         *
***************************************************************************/
This script initializes the plugin, making it known to QGIS.
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
	"""Load MagneticBearingMeasurement class from file MagneticBearingMeasurement.

	:param iface: A QGIS interface instance.
	:type iface: QgsInterface
	"""
	#
	from .magnetic_bearing_measurement import MagneticBearingMeasurement
	return MagneticBearingMeasurement(iface)
